﻿<%@ WebHandler Language="C#" Class="GetContentHtml" %>

using System;
using System.Web;

public class GetContentHtml : IHttpHandler {
    
    public void ProcessRequest (HttpContext context) {
        context.Response.ContentType = "text/plain";
        context.Response.Write(getContentHtml(context));
    }
 
    public bool IsReusable {
        get {
            return false;
        }
    }
    
    private string getContentHtml(HttpContext context)
    {
        try
        {
            long cid = 0;
            long.TryParse(context.Request.QueryString["cid"], out cid);
            if (cid > 0)
            {
                //Versions 8.5 and up
                Ektron.Cms.Framework.Content.ContentManager cManager = new Ektron.Cms.Framework.Content.ContentManager();
                Ektron.Cms.ContentData cData = cManager.GetItem(cid);
                return cData.Html;
                //Older Versions
                //Ektron.Cms.API.Content.Content capi = new Ektron.Cms.API.Content.Content();
                //Ektron.Cms.ContentData cd = capi.GetContent(cid);
                //return cd.Html;
            }
            else
            {
                return "";
            }
        }
        catch { return ""; }
    }
    
}