﻿<%@ Page Language="C#" %>

<!DOCTYPE html>

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!string.IsNullOrEmpty(Request.QueryString["id"]))
        {
            contentid.Value = Request.QueryString["id"];
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Get Content HTML Via Ajax</title>
    <script src="http://code.jquery.com/jquery-1.11.0.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            //update the path below to reflect the proper site path
            $.ajax({
                url: 'getcontenthtml.ashx?cid=' + $('.contentid').val(),
                type: 'GET',
                success: function (data) {
                    $('.contenthtml').html(data);
                }
            });
        });
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <h3>This is a sample of how to get html content via an ajax post. Add ?id=x to the querystring where x = content id</h3>
        <input type="hidden" id="contentid" runat="server" class="contentid" value="0" />
        <div class="contenthtml">
        </div>
    </form>
</body>
</html>
